/**
 * Frame information structure
 * Copyright 2005-2006, Broadcom Corporation
 * All Rights Reserved.                
 *                                     
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id$
*/
#ifndef _WLC_FRMUTIL_H_
#define _WLC_FRMUTIL_H_

struct wlc_frminfo {
	struct dot11_header *h;
	uchar *pbody;
	uint body_len;
	uint len;
	uint totlen;
	void *p;
	d11rxhdr_t *rxh;
	uint16 fc;
	uint16 type;
	uint16 subtype;
	uint8 prio;
	int ac;
	bool apsd_eosp;
	bool wds;
	bool qos;
	bool ismulti;
	bool isamsdu;
	int rx_wep;
	wsec_key_t *key;
	int key_index;
	uint16 *pp1;
	uint8 ividx;
	uint16 iv16;
	uint32 iv32;
	uint8 WPA_auth;
	struct ether_header *eh;
	struct ether_addr *sa;
	struct ether_addr *da;
};


#endif /* _WLC_FRMUTIL_H_ */
